#!/bin/bash -l
#SBATCH -o /lxfs/iwpa/iwpa070h/tutorials/pf-C3D20R-normal/myjob.%j.%N.out
#SBATCH -D /lxfs/iwpa/iwpa070h/tutorials/pf-C3D20R-normal/
#SBATCH -J pf-C3D20R-normal
#SBATCH --nodes=1
#SBATCH --time=06:00:00
#SBATCH --export=NONE

unset SLURM_EXPORT_ENV

echo "Modul laden Openfoam"

module load openfoam/1906-gcc8.2.0-openmpi-m6rfue2

echo "Modul laden Precice"

module load precice/2.3.0-gcc8.2.0-openmpi-mkl-mkgxrgs

echo "Export LD"

export LD_LIBRARY_PATH="/home/woody/iwpa/iwpa070h/yaml-cpp-install/yaml-cpp-yaml-cpp-0.6.2/build/:$LD_LIBRARY_PATH"

echo "Start Fluid"

cd fluid-openfoam/
./run.sh -parallel > log-fluid &
cd ..

echo "Start Solid"

cd solid-calculix/
./run.sh > log-solid &
cd ..

wait


echo "ENDE"
